#!/bin/sh

# Regenerate monochrome-icon-theme tarball without copyrighted Ubuntu logos.
# Original tarball can be found at:
# https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mono_$VERSION.tar.gz
VERSION=$1

wget -N -c https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mono_$VERSION.tar.gz
tar -xzf ubuntu-mono_$VERSION.tar.gz
mv ubuntu-mono-$VERSION/ monochrome-icon-theme-$VERSION/
pushd monochrome-icon-theme-$VERSION/
mv ubuntu-mono-dark/ Monochrome-dark/
mv ubuntu-mono-light/ Monochrome-light/
sed -i "s/Name=Ubuntu-Mono/Name=Monochrome/" */index.theme
find .                              \
  \(                                \
        -name "computer.*"          \
     -o -name "distributor-logo.*"  \
     -o -name "*dropbox*.*"         \
     -o -name "package-supported.*" \
     -o -name "preferences-system-directory.*" \
     -o -name "start-here.*"        \
     -o -name "*ubuntu*.*"          \
  \) -delete
popd
tar -cjf monochrome-icon-theme-$VERSION.tar.bz2 monochrome-icon-theme-$VERSION/
